void main( void )
{
 int &mom;
 &mom = random(3,1)
 if (&mom == 1)
 {
 say_stop("`4早上好啊先生", &current_sprite);
 }
}

void hit( void )
{
int &rcrap = sp_pseq(&missle_source, -1);
int &scrap = compare_weapon("item-b1");
&scrap += compare_weapon("item-b2");
&scrap += compare_weapon("item-b3");
if (&rcrap == -1)
{
if (&scrap > 0)
{
	say("`1啊，这击刺过了我的肺！好痛！", &current_sprite);
	return;
}
}
say("`1那个虽然很疼，可你要是用弓的话可以造成更大的伤害！", &current_sprite);
}

void buy( void )
{
buy:
int &junk = free_items();
say_stop("那么，我可以无视(s3-st2p.c)刚才的事件，我要看看弓。", 1);
if (&junk < 1)
 {
  choice_start()
  set_y 240
  title_start();
你带得太多了
  title_end();
  "知道了"
  choice_end()
  return;
 }

if (&gold < 1000)
 {
  say_stop("`1很抱歉，可你的钱不够啊！", &current_sprite);
  wait(250);
  say_stop("啊，不好意思。", 1);
  unfreeze(1);
  unfreeze(&current_sprite);
  return;
 }

&gold -= 1000;

 say_stop("`1太棒了，先生！你不会失望的。", &current_sprite);
 wait(250);
 say_stop("哦，嗯，我会让你知道的。", 1);
   wait(250);
   say_stop("`1另外.. 如果你按着不放的话，那弓会", &current_sprite);
   wait(250);
   say_stop("`1拉得更满，击得更重。不退货，谢谢！", &current_sprite);
 add_item("item-b1",438, 8);
 unfreeze(1);
 unfreeze(&current_sprite);

}

void talk( void )
{
 freeze(1);
 freeze(&current_sprite);
 choice_start()
 "关于弓"
 "花 $1000 买一把弓和些许箭"
 "离开"
 choice_end()
  if (&result == 1)
  {

int &hasbow = count_item("item-b1");
   if (&hasbow > 0)
   {
   say_stop("那好吧，我听你的买一把弓。", 1);
   wait(250);
   say_stop("`1你会爱上这把新弓的先生！", &current_sprite);
   wait(250);
   say_stop("有什么要点吗？", 1);
   wait(250);
   say_stop("`1嗯... 附近的海滩上有个老人", &current_sprite);
   wait(250);
   say_stop("`1可以教你bow lore(s3-st2p.c)。 可以让你连射", &current_sprite);
   wait(250);
   say_stop("`1三次.. 运气好的话。", &current_sprite);
   wait(250);
   say_stop("不错嘛！我怎么知道他的家在哪里？", 1);
   wait(250);
   say_stop("`1那个，比较隐蔽的。", &current_sprite);

 unfreeze(1);
 unfreeze(&current_sprite);
 return;

   }

   say_stop("你好啊。", 1);
   wait(250);
   say_stop("`1你也要，先生，我是Arturous，为您服务。", &current_sprite);
   wait(250);
   say_stop("我只是想问问你的弓卖多少钱？", 1);
   wait(250);
   say_stop("`1我现在卖弓和箭的价钱是1000金。", &current_sprite);
   wait(250);
   say_stop("天哪！你不觉得太贵了吗？！", 1);
   wait(250);
   say_stop("`1一点也不贵，我卖的都是特等货。", &current_sprite);
   wait(250);
   say_stop("为你着想，他们最好确实是特等货。", 1);
  }
  if (&result == 2)
  {
   goto buy;
  }
 unfreeze(1);
 unfreeze(&current_sprite);
}
